
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HDU 1536（sg博弈）  S-Nim / 憋错料</title>

    <meta name="description" content="HDU 1536（sg博弈）  S-Nim Problem Description Arthur and his sister Caroll have been playing a game called Nim for some time now. Nim is played as follows: The starting position has a number of heaps, all containing some, not necessarily equal, number of beads. The players ta">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HDU 1536（sg博弈）  S-Nim</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Problem Description</p>
<p>Arthur and his sister Caroll have been playing a game called Nim for some time now. Nim is played as follows:</p>
<p>The starting position has a number of heaps, all containing some, not necessarily equal, number of beads.</p>
<p>The players take turns chosing a heap and removing a positive number of beads from it.</p>
<p>The first player not able to make a move, loses.</p>
<p>Arthur and Caroll really enjoyed playing this simple game until they recently learned an easy way to always be able to find the best move:</p>
<p>Xor the number of beads in the heaps in the current position (i.e. if we have 2, 4 and 7 the xor-sum will be 1 as 2 xor 4 xor 7 = 1).</p>
<p>If the xor-sum is 0, too bad, you will lose.</p>
<p>Otherwise, move such that the xor-sum becomes 0. This is always possible.</p>
<p>It is quite easy to convince oneself that this works. Consider these facts:</p>
<p>The player that takes the last bead wins.</p>
<p>After the winning player‘s last move the xor-sum will be 0.</p>
<p>The xor-sum will change after every move.</p>
<p>Which means that if you make sure that the xor-sum always is 0 when you have made your move, your opponent will never be able to win, and, thus, you will win.</p>
<p>Understandibly it is no fun to play a game when both players know how to play perfectly (ignorance is bliss). Fourtunately, Arthur and Caroll soon came up with a similar game, S-Nim, that seemed to solve this problem. Each player is now only allowed to remove<br />
 a number of beads in some predefined set S, e.g. if we have S =(2, 5) each player is only allowed to remove 2 or 5 beads. Now it is not always possible to make the xor-sum 0 and, thus, the strategy above is useless. Or is it?</p>
<p>your job is to write a program that determines if a position of S-Nim is a losing or a winning position. A position is a winning position if there is at least one move to a losing position. A position is a losing position if there are no moves to a losing position.<br />
 This means, as expected, that a position with no legal moves is a losing position.</p>

<p>Input</p>
<p>Input consists of a number of test cases. For each test case: The first line contains a number k (0 &lt; k ≤ 100 describing the size of S, followed by k numbers si (0 &lt; si ≤ 10000) describing S. The second line contains a number m (0<br />
 &lt; m ≤ 100) describing the number of positions to evaluate. The next m lines each contain a number l (0 &lt; l ≤ 100) describing the number of heaps and l numbers hi (0 ≤ hi ≤ 10000) describing the number of beads in the heaps. The last test case is followed by<br />
 a 0 on a line of its own.</p>

<p>Output</p>
<p>For each position: If the described position is a winning position print a ‘W‘.If the described position is a losing position print an ‘L‘. Print a newline after each test case.</p>

<p>Sample Input</p>
<pre>
2 2 5
3
2 5 12
3 2 4 7
4 2 3 7 12
5 1 2 3 4 5
3
2 5 12
3 2 4 7
4 2 3 7 12
0
</pre>

<p>Sample Output</p>
<pre>
LWW
WWL
</pre>

<p>Source</p>
<p><a href="http://acm.hdu.edu.cn/search.php?field=problem&amp;key=Norgesmesterskapet&#043;2004&amp;source=1&amp;searchmode=source" rel="external nofollow noreferrer">Norgesmesterskapet 2004</a></p>

<p>Recommend</p>
<p>LL&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;We have carefully selected several similar problems for you:&nbsp;&nbsp;<a href="http://acm.hdu.edu.cn/showproblem.php?pid=1404" rel="external nofollow noreferrer">1404</a>&nbsp;<a href="http://acm.hdu.edu.cn/showproblem.php?pid=1517" rel="external nofollow noreferrer">1517</a>&nbsp;<a href="http://acm.hdu.edu.cn/showproblem.php?pid=1524" rel="external nofollow noreferrer">1524</a>&nbsp;<a href="http://acm.hdu.edu.cn/showproblem.php?pid=1729" rel="external nofollow noreferrer">1729</a>&nbsp;<a href="http://acm.hdu.edu.cn/showproblem.php?pid=1079" rel="external nofollow noreferrer">1079</a></p>
<p>题意：给一个n，n个数。下面博弈的时候取数只能从这n个数里面取。</p>
<p>下面m行，每行开头是石头的堆数，后面的数字代表每堆石头的个数。然后开始博弈，先手胜的话，输出W，否则输出L。</p>
<p>用序列构造sg函数。然后博弈即可。</p>
<pre>#include &lt;cstring&gt;
#include &lt;cmath&gt;
#include &lt;algorithm&gt;
#include &lt;queue&gt;
#include &lt;iostream&gt;
#include &lt;cstdio&gt;
using namespace std;
int sg[10005];
int f[110];
void getsg(int n)
{
    int i,j;
    memset(sg,0,sizeof(sg));
    bool hash1[10005]; //一定要用bool 定义，不然会超时。
    for(i=0; i&lt;10005; i++)
    {
        memset(hash1,0,sizeof(hash1));
        for(j=0; j&lt;n; j++)
        {
            if(i-f[j]&gt;=0)
                hash1[sg[i-f[j]]]=1;
        }
        for(j=0; j&lt;10005; j++)
        {
            if(!hash1[j])
            {
                sg[i]=j;
                break;
            }
        }
    }
    return ;
}
int main()
{
    int n;
    while(scanf(&quot;%d&quot;,&amp;n)!=EOF&amp;&amp;n!=0)
    {
        for(int i=0; i&lt;n; i++)
            scanf(&quot;%d&quot;,&amp;f[i]);
        sort(f,f+n);
        getsg(n);
        int m;
//        for(int i=0; i&lt;1000; i++)
//            cout&lt;&lt;sg[i]&lt;&lt;&quot;    &quot;;
        scanf(&quot;%d&quot;,&amp;m);
        for(int i=0; i&lt;m; i++)
        {
            int t;
            int pp;
            int res=0;
            scanf(&quot;%d&quot;,&amp;t);
            for(int j=0; j&lt;t; j++)
            {
                scanf(&quot;%d&quot;,&amp;pp);
                res=res^sg[pp];
            }
            if(res==0)
                printf(&quot;L&quot;);
            else
                printf(&quot;W&quot;);
        }
        printf(&quot;\n&quot;);
    }
    return 0;
}
</pre>

<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 20:53:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/acm%e7%ae%97%e6%b3%95/" title="acm算法">acm算法</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HDU 1536（sg博弈）  S-Nim的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/412oNYM.html" rel="bookmark">HDU 1536&mdash;&mdash;S-nim博弈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: Description Arthur and his sister Caroll have been playing a game called Nim for some time now. Nim is played as follows: The starting position has a number of heaps, all containing some, not necessarily equal, number of beads. The players take t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBA7oY4.html" rel="bookmark">HDU 1536 sg-NIM博弈类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:每次可以选择n种操作,玩m次,问谁必胜.c堆,每堆数量告诉. 题意:sg—NIM系列博弈模板题 把每堆看成一个点,求该点的sg值,异或每堆sg值. 将多维转化成一维,性质与原始NIM博弈一样. 1 // #pragma comment(linker, &quot;/STACK:1024000000,1024000000&quot;) 2 #include &lt;iostream&gt; 3 #include &lt;cstdio&gt; 4 #include &lt;cstring&gt; 5 #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NaazG3.html" rel="bookmark">HDU 1536 sg函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				S-Nim Time Limit: 5000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 7262    Accepted Submission(s): 3074 Problem Description Arthur and his sister Caroll have been playing a game called Nim for some time now.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qGj9WM.html" rel="bookmark">hdu 1536（博弈）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传送门:S-Nim 题意:给n个数的集合s, 再给m 组数据,每组表示 k 堆石子,每次可以取的个数只能是集合s中的数量.问先手胜还是输? 分析:sg函数的经典运用,先预处理出所有数量为0~10000的石子的sg值,然后判断k堆石子的sg值异或和是否为0来判断先手的输赢. #include &lt;cstdio&gt; #include &lt;cstring&gt; #include &lt;algorithm&gt; #define N 110 using namespace std; int n,m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0nLZj4.html" rel="bookmark">hdu 1536  S-Nim    博弈论，，求出SG&amp;&num;39&semi;函数就可以解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				S-Nim Time Limit: 5000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 4975    Accepted Submission(s): 2141 Problem Description Arthur and his sister Caroll have been playing a game called Nim for some time now			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MymwlnM.html" rel="bookmark">HDU 1536 S-Nim 求SG函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:给你n个数Nnum[ i ],表示每次只能取Nnum[ i ]个数. m个问题:每次给你 l 堆石子,每堆有num个石子,问先手是否会赢. Sample Input 2 2 5 3 2 5 12 3 2 4 7 4 2 3 7 12 5 1 2 3 4 5 3 2 5 12 3 2 4 7 4 2 3 7 12 0 Sample Output LWW WWL 经典Nim游戏,找出SG就可以了. 至于如何找SG,这里有详细的 点我 #include&lt;cstdio&gt; #include&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pvVwP0.html" rel="bookmark">SG 函数初步  HDU 1536 &amp;amp&semi;&amp;amp&semi; HDU  1944</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=1944 http://acm.hdu.edu.cn/showproblem.php?pid=1536 给定每一次可以取的石头数,给定很多种情况,每一种情况有若干堆石头,判断先手胜负. SG函数打表,然后直接抑或,判断结果是否为0,第一次写SG函数,贴个代码,慢慢理解. 代码: /* *********************************************** Author :rabb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgwmzM.html" rel="bookmark">hdu 3032（博弈sg函数）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:与原来基本的尼姆博弈不同的是,可以将一堆石子分成两堆石子也算一步操作,其它的都是一样的. 分析:由于石子的堆数和每一堆石子的数量都很大,所以肯定不能用搜索去求sg函数,现在我们只能通过找规律的办法求得sg的规律. 通过打表找规律可以得到如下规律:if(x%4==0) sg[x]=x-1; if(x%4==1||x%4==2) sg[x]=x; if(x%4==3) sg[x] = x+1. 打表代码: #include&lt;iostream&gt; #include&lt;cstdio&gt; #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vjJra3.html" rel="bookmark">hdu 2999 sg函数（简单博弈）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Stone Game, Why are you always there? Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 393    Accepted Submission(s): 132 Problem Description &quot;Alice and Bob are playing stone game...&quot;&quot;E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPgDNm4.html" rel="bookmark">hdu 1536  S-Nim&vert;&vert;  poj  2960  S-Nim  （sg函数）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;stdio.h&gt; #include &lt;string.h&gt; int s[110]; int sg[10010],hash[110]; int n, m; int getsg(int x) //sg模板 { int i; if(sg[x] != -1) return sg[x]; memset(hash,0,sizeof(hash)); for(i = 0; i &lt; n; i++) { if(x &gt;= s[i]) { sg[x - s[i]] = get			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPJJm3.html" rel="bookmark" class="title">网页定位导航</a>
					<div>
						&lt;style&gt; #header{height:50px; } #siderList{position: fixed; right:0; bottom: 20%;} #siderList l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzrVWM.html" rel="bookmark" class="title">深入理解Java PriorityQueue</a>
					<div>
						深入理解Java PriorityQueue PriorityQueue 本文github地址 Java中PriorityQueue通过二叉小顶堆实现,可以用一棵完全二叉树表示.本文从Queue接口函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3v75R4.html" rel="bookmark" class="title">网易独特的创新机制，能否让网易云成为一匹黑马？</a>
					<div>
						(上图为网易杭州研究院执行院长汪源) 2016年11月10日,网易发布了2016年Q3财报,其中净收入92.12亿元人民币.同比增长38.1%,净利润为27.4亿元,同比增长45.6%,而同期的百度Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02bREa0.html" rel="bookmark" class="title">Linux运维 第二阶段 （六）文件系统管理</a>
					<div>
						Linux运维第二阶段(六)文件系统管理 一.硬盘: 逻辑结构:扇区sectors(磁盘的最小存贮单位).磁道.柱面cylinders: 硬盘大小:磁头数*柱面数*扇区数*每个扇区的大小 注:柱面数表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNkjD3.html" rel="bookmark" class="title">Linux小命令（8）usermod</a>
					<div>
						Linux命令(8)usermod 该命令可以添加用户组 ? 命令格式:usermod [parameters] ? 常用参数: -c[备注] 修改用户账号的备注文字 -d[登入目录] 修改用户登入时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68r553.html" rel="bookmark" class="title">perl原格式输出</a>
					<div>
						sub ShowUsage  {     print STDOUT &lt;&lt; &quot;EOF&quot;; moniter my computer disk usage: $0       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkWqx3.html" rel="bookmark" class="title">UVA815（洪水）。</a>
					<div>
						关键就是给海拔排个序,找出有多少快地低于水平面. 要注意n=m=1的情况,和100%的情况. 1 #include &lt;iostream&gt; 2 #include &lt;cstdio&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkPQR3.html" rel="bookmark" class="title">MVC学习系列13--验证系列之Remote Validation</a>
					<div>
						大多数的开发者,可能会遇到这样的情况:当我们在创建用户之前,有必要去检查是否数据库中已经存在相同名字的用户.换句话说就是,我们要确保程序中,只有一个唯一的用户名,不能有重复的.相信大多数人都有不同的解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8RYq3.html" rel="bookmark" class="title">SQL中rowcount与&commat;&commat;rowcount</a>
					<div>
						1 rowcount的用法: 2 3 rowcount的作用就是用来限定后面的sql在返回指定的行数之后便停止处理,比如下面的示例, 4 set rowcount 10 5 select * from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aDYGvM.html" rel="bookmark" class="title">vCenter Server 6&period;0安装（windows版本）</a>
					<div>
						vCenter Server需要安装在Windows Server中,实践中采用的是Windows Server 2012R2,并且推荐安装在域环境中,但在此实验中使用的是非域环境.具体步骤如下(整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myjnne0.html" rel="bookmark" class="title">ylbtech-LanguageSamples-Delegates&lpar;委托&rpar;</a>
					<div>
						ylbtech-Microsoft-CSharpSamples:ylbtech-LanguageSamples-Delegates(委托) 1.A,示例(Sample) 返回顶部 “委托”示例 本示例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdplYM.html" rel="bookmark" class="title">转，Oracle中关于处理小数点位数的几个函数，取小数位数，Oracle查询函数</a>
					<div>
						关于处理小数点位数的几个oracle函数() 1. 取四舍五入的几位小数 select round(1.2345, 3) from dual; 结果:1.235 2. 保留两位小数,只舍 select ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWeJLM.html" rel="bookmark" class="title">Mysql开发实践8问，你能hold住几个？</a>
					<div>
						最近项目对DB依赖比较重,梳理了这段时间使用Mysql遇到的8个比较具有代表性的问题,答案也比较偏开发实践,没有DBA专业和深入,有出入的请使劲拍砖!... 1.Mysql读写性能是多少,有哪些性能相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrA9B4.html" rel="bookmark" class="title">问卷调查 for Html5触屏版</a>
					<div>
						什么是Html5触屏版? 采用最新HTML5技术,无需下载安装.无需下载升级,使用移动设备浏览器,就能访问自适应屏幕大小的访问界面,微信也能扫描访问. 为什么已经有PC网页版和移动端APP版还需要Ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpnG73.html" rel="bookmark" class="title">站立会议的内容（第十四次）</a>
					<div>
						今天我们对团队项目进行了最后的修改和测试,程序运行状况良好.而且我们进行了团队项目的整体总结,这使我们受益良多.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaZJQ3.html" rel="bookmark" class="title">Magento打印&lpar;配送单、退款单、发票&rpar;时PDF中的乱码问题</a>
					<div>
						我使用Magento1.4.2,在其自带的TTF文件不能很好地解析中文字符,TTF文件的位置在网站根目录下的/lib/LinLibertineFont/中.打印的中文字符都是这样的 解决方法: 1.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zWXPM.html" rel="bookmark" class="title">第十一章 泛型算法 C&plus;&plus; PRIMER</a>
					<div>
						vector&lt;int&gt;::const_iterator result = find(vector.begin(). vector.end(),search_value); 如果查找失败,分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvdLQ4.html" rel="bookmark" class="title">HP ProLiant DL380 G6如何做raid及安装系统</a>
					<div>
						背景: 公司有一台闲置的HP ProLiant DL380 G6服务器,最近有部门有需求,准备把这一台服务器用起来. 先做raid5然后安装系统windows2008R2 X64. 我的服务器上面有三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wGng0.html" rel="bookmark" class="title">android获取其他应用权限（修改状态）</a>
					<div>
						这两天老大发话说要我研究一下安卓安全软件的功能,先抽取了一个小模块,研究权限管理 一开始就去packagemanager 去看发现有几个方法: 就先去看了一下IPackagemanager 里面的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDj8m73.html" rel="bookmark" class="title">NSValue （将结构体包装成NSValue）</a>
					<div>
						将结构体包装成 NSValue ,并取出结构体 1 NSRect rect = {0, 0, 200,200}; 2 NSValue *rectValue = [NSValue valueWithBy ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
